Bug 504911 - 32bit libasound_module_ctl_pulse.so not installed
32bit libasound_module_ctl_pulse.so not installed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: alsa-plugins (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Eric Moret
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-09 22:14 EDT by Chris Ward
Modified: 2009-06-11 12:33 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-11 12:33:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Ward 2009-06-09 22:14:04 EDT
Description of problem:

I'm getting failures when running skype and also kvm... seems to me the 32bit libs aren't being installed. I'm getting no sound. Instead, errors:

ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so
ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so

...

# yum provides /usr/lib/alsa-lib/libasound_module_pcm_pulse.so
Loaded plugins: fastestmirror, presto, refresh-packagekit
[...]
alsa-plugins-pulseaudio-1.0.18-3.fc11.i586 : Alsa to PulseAudio backend
Repo        : fedora
Matched from:
Filename    : /usr/lib/alsa-lib/libasound_module_pcm_pulse.so

[cward@localhost skype_static-2.0.0.72]# yum install alsa-plugins-pulseaudio
[...]
Package alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64 already installed and latest version
Nothing to do

rpm -q alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64

ls /usr/lib/alsa-lib/libasound_module_pcm_pulse.so
ls: cannot access /usr/lib/alsa-lib/libasound_module_pcm_pulse.so: No such file or directory

ls /usr/lib64/alsa-lib/libasound_module_pcm_pulse.so
/usr/lib64/alsa-lib/libasound_module_pcm_pulse.so

Version-Release number of selected component (if applicable):
rpm -qa alsa*
alsa-utils-1.0.20-3.fc11.x86_64
alsa-lib-1.0.20-1.fc11.i586
alsa-plugins-pulseaudio-1.0.18-3.fc11.x86_64
alsa-lib-1.0.20-1.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. launch skype
2.
3.
  
Actual results:
./skype
ALSA lib control.c:874:(snd_ctl_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_ctl_pulse.so
ALSA lib pcm.c:2171:(snd_pcm_open_conf) Cannot open shared library /usr/lib/alsa-lib/libasound_module_pcm_pulse.so

Expected results:
sound would work...
Comment 1 Eric Moret 2009-06-10 11:35:04 EDT
It is up to the rpm you install to require missing dependencies. If Skype does not require the 32 bits library that it was compiled against; the distribution has no ways of knowing and installing what is missing. I suggest you raise this issue with the Skype development team.
Comment 2 Chris Ward 2009-06-11 10:41:36 EDT
Thanks Eric. The problem though is that when i look for whatprovides /usr/lib/alsa-lib/libasound_module_ctl_pulse.so, it says 
alsa-plugins-pulseaudio-1.0.18-3.fc11.i586 provides it. But i have this pkg installed.
Comment 3 Eric Moret 2009-06-11 12:33:11 EDT
Indeed you are partly right. If you want to manually install a package for a specific arch which is not your system's default you just have to specify it to yum, by default yum will pull down packages for the system´s arch. Again this issue should be brought to the attention of the Skype engineering team. Ideally they should provide a package for x86_64 or at least figure out and support installation of their i386/i586 binaries on x86_64 by correctly requiring missing deps.

[emoret@fedora10 ~]$ sudo yum install alsa-plugins-pulseaudio
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Package alsa-plugins-pulseaudio-1.0.18-2.fc10.x86_64 already installed and latest version
Nothing to do

[emoret@fedora10 ~]$ sudo yum install alsa-plugins-pulseaudio.i386
Loaded plugins: refresh-packagekit
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package alsa-plugins-pulseaudio.i386 0:1.0.18-2.fc10 set to be updated
--> Processing Dependency: libc.so.6(GLIBC_2.3.4) for package: alsa-plugins-pulseaudio
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: alsa-plugins-pulseaudio
--> Processing Dependency: libc.so.6 for package: alsa-plugins-pulseaudio
--> Processing Dependency: libasound.so.2(ALSA_0.9) for package: alsa-plugins-pulseaudio
--> Processing Dependency: libc.so.6(GLIBC_2.1.3) for package: alsa-plugins-pulseaudio
--> Processing Dependency: libasound.so.2 for package: alsa-plugins-pulseaudio
--> Processing Dependency: libc.so.6(GLIBC_2.0) for package: alsa-plugins-pulseaudio
--> Processing Dependency: libpulse.so.0(PULSE_0) for package: alsa-plugins-pulseaudio
--> Processing Dependency: libpulse.so.0 for package: alsa-plugins-pulseaudio
--> Running transaction check
---> Package alsa-lib.i386 0:1.0.20-1.fc10 set to be updated
---> Package glibc.i686 0:2.9-3 set to be updated
---> Package pulseaudio-libs.i386 0:0.9.14-3.fc10 set to be updated
--> Processing Dependency: libICE.so.6 for package: pulseaudio-libs
--> Processing Dependency: libgdbm.so.2 for package: pulseaudio-libs
--> Processing Dependency: libX11.so.6 for package: pulseaudio-libs
--> Processing Dependency: libasyncns.so.0 for package: pulseaudio-libs
--> Processing Dependency: libcap.so.2 for package: pulseaudio-libs
--> Processing Dependency: libSM.so.6 for package: pulseaudio-libs
--> Running transaction check
---> Package gdbm.i386 0:1.8.0-29.fc10 set to be updated
---> Package libICE.i386 0:1.0.4-4.fc10 set to be updated
---> Package libSM.i386 0:1.1.0-2.fc10 set to be updated
--> Processing Dependency: libuuid.so.1 for package: libSM
---> Package libX11.i386 0:1.1.5-4.fc10 set to be updated
--> Processing Dependency: libxcb.so.1 for package: libX11
--> Processing Dependency: libxcb-xlib.so.0 for package: libX11
---> Package libasyncns.i386 0:0.7-1.fc10 set to be updated
---> Package libcap.i386 0:2.10-2.fc10 set to be updated
--> Running transaction check
---> Package e2fsprogs-libs.i386 0:1.41.4-5.fc10 set to be updated
---> Package libxcb.i386 0:1.1.91-6.fc10 set to be updated
--> Processing Dependency: libXau.so.6 for package: libxcb
--> Processing Dependency: libXdmcp.so.6 for package: libxcb
--> Running transaction check
---> Package libXau.i386 0:1.0.4-1.fc10 set to be updated
---> Package libXdmcp.i386 0:1.0.2-6.fc10 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                      Arch      Version              Repository    Size
================================================================================
Installing:
 alsa-plugins-pulseaudio      i386      1.0.18-2.fc10        updates       35 k
Installing for dependencies:
 alsa-lib                     i386      1.0.20-1.fc10        updates      412 k
 e2fsprogs-libs               i386      1.41.4-5.fc10        updates      152 k
 gdbm                         i386      1.8.0-29.fc10        fedora        28 k
 glibc                        i686      2.9-3                updates      5.7 M
 libICE                       i386      1.0.4-4.fc10         fedora        54 k
 libSM                        i386      1.1.0-2.fc10         fedora        26 k
 libX11                       i386      1.1.5-4.fc10         updates      830 k
 libXau                       i386      1.0.4-1.fc10         fedora        20 k
 libXdmcp                     i386      1.0.2-6.fc10         fedora        21 k
 libasyncns                   i386      0.7-1.fc10           fedora        24 k
 libcap                       i386      2.10-2.fc10          fedora        30 k
 libxcb                       i386      1.1.91-6.fc10        updates      124 k
 pulseaudio-libs              i386      0.9.14-3.fc10        updates      203 k

Transaction Summary
================================================================================
Install     14 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 7.6 M
Is this ok [y/N]:

Note You need to log in before you can comment on or make changes to this bug.